      subroutine lmd_swfrac_tile (Istr,Iend,Jstr,Jend, Zscale,Z,swdk)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_swfrac_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real :: Zscale
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Z
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: swdk
      

        call Sub_Loop_lmd_swfrac_tile(Istr,Iend,Jstr,Jend,Zscale,Z,swdk,
     & Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_ta
     &bvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(3
     &22)%iarray2, Agrif_tabvars_i(158)%iarray0, Agrif_tabvars_i(147)%ia
     &rray0)

      end


#include "Sub_Loop_lmd_swfrac_tile.h"
      subroutine lmd_swfrac_ER_tile (Istr,Iend,Jstr,Jend, Zscale,Z,swdk)      


      use Agrif_Util
#include "Param_BeforeCall_lmd_swfrac_ER_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real :: Zscale
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: Z
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: swdk
      

        call Sub_Loop_lmd_swfrac_ER_tile(Istr,Iend,Jstr,Jend,Zscale,Z,sw
     &dk, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif
     &_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_
     &i(322)%iarray2, Agrif_tabvars_i(158)%iarray0, Agrif_tabvars_i(147)
     &%iarray0, Agrif_tabvars_l(13)%larray0, Agrif_tabvars_l(14)%larray0
     &, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_lmd_swfrac_ER_tile.h"
      module nils_jerlov


        implicit none
        public :: Alloc_agrif_nils_jerlov
      contains
      subroutine Alloc_agrif_nils_jerlov(Agrif_Gr)
        use Agrif_Util
        type(Agrif_grid), pointer :: Agrif_Gr
        integer :: i
#include "alloc_agrif_nils_jerlov.h"
      end subroutine Alloc_agrif_nils_jerlov
      end module nils_jerlov
